#include "test.hpp"

//#ut`dummy`: Unit tests for token generator

//? A tag should be correctly split in its 'prefix', 'id' and 'suffix' components.
TEST_F(TestNoFile, Dummy0) {
  lexer.chunk.str = "tag.prefix`id`suffix";

  TASSERT_TAG("tag.prefix", "id", "suffix");
  TASSERT_EOF();
}

TEST_F(TestNoFile, Dummy1) {
  lexer.chunk.str = "<? ... ?>";

  TASSERT_BIN();
  TASSERT_STR(" ... ");
  TASSERT_BOUT();
  TASSERT_EOF();
}

TEST_F(TestNoFile, Dummy2) {
  lexer.chunk.str = "=main.tag`` TODO:blabla";

  TASSERT_TAG("=main.tag", "", "");
  TASSERT_STR(" TODO:blabla");
  TASSERT_EOF();
}

TEST_F(TestNoFile, Dummy3) {
  lexer.chunk.str = "TODO:something with some`id`";

  TASSERT_TAG("TODO", "", "");
  TASSERT_STR("something with ");
  TASSERT_TAG("some", "id", "");
  TASSERT_EOF();
}